#include <iostream.h>
#include "ap.h"


// Program to test the modint class

int main (void)
{
    modint a, b;

    setmodulus (getprime (1));

    a = 600000;
    b = 600000;

    cout << "sizeof (modint) = " << sizeof (modint) << endl;

    cout << a << " * " << 600000 << " = " << a * 600000 << " (mod " << modint::modulus << ")" << endl;

    cout << a << " ^ " << b << " = " << pow (a, b) << " (mod " << modint::modulus << ")" << endl;

    cout << 1 << " / " << a << " = " << (b = 1 / a) << " (mod " << modint::modulus << ")" << endl;

    cout << a << " * " << b << " = " << a * b << " (mod " << modint::modulus << ")" << endl;

    cout << "Primitive root of " << modint::modulus << " = " << primitiveroot () << endl;

    clearmodulus ();

    return 0;
}
